Package com.ocient.jdbc.proto

# Interface PlanProtocol.ReferenceOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ReferenceOperator`, `PlanProtocol.ReferenceOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ReferenceOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getColTypes​(int index)` | Deprecated.
`com.google.protobuf.ByteString` | `getColTypesBytes​(int index)` | Deprecated.
`int` | `getColTypesCount()` | Deprecated.
`List<String>` | `getColTypesList()` | Deprecated.
`int` | `getParentIndex()` | `uint32 parent_index = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getColTypesList

@Deprecated List<String> getColTypesList()
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### getColTypesCount

@Deprecated int getColTypesCount()
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### getColTypes

@Deprecated String getColTypes​(int index)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### getColTypesBytes

@Deprecated com.google.protobuf.ByteString getColTypesBytes​(int index)
Deprecated.

    The only thing we track here is the string version of all the types

`repeated string colTypes = 1 [deprecated = true];`

### getParentIndex

int getParentIndex()
`uint32 parent_index = 2;`